# Generator nPKG [![pipeline status](https://gitlab.com/yoginth/generator-npkg/badges/master/pipeline.svg)](https://gitlab.com/yoginth/generator-npkg/commits/master)

[![NPM](https://nodei.co/npm/generator-npkg.png)](https://nodei.co/npm/generator-npkg/)

> Scaffold out a [node module](https://gitlab.com/yoginth/node-module-boilerplate)

Optionally with a [CLI](http://en.wikipedia.org/wiki/Command-line_interface).

This is what I use for [my own modules](https://www.npmjs.com/~yoginth).

[![asciicast](https://asciinema.org/a/188170.png)](https://asciinema.org/a/188170)

## Install

```
$ npm install --global yo generator-npkg
```

<a href="https://www.patreon.com/yoginth">
	<img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160">
</a>

## Usage

With [yo](https://github.com/yeoman/yo):

```
$ yo npkg
```

There are multiple command-line options available:

```
$ yo npkg --help

  Usage:
    yo npkg [options]

  Options:
    --help          # Print the generator's options and usage
    --skip-cache    # Do not remember prompt answers                      Default: false
    --skip-install  # Do not automatically install dependencies           Default: false
    --org           # Publish to a GitLab organization account
    --cli           # Add a CLI
    --coverage      # Add code coverage with nyc
    --codecov       # Upload coverage to codecov.io (implies --coverage)
```

The `--org` option takes a string value (i.e. `--org=avajs`). All others are boolean flags and can be negated with the `no` prefix (i.e. `--no-codecov`). You will be prompted for any options not passed on the command-line.

## Thanks

- [Sindre Sorhus](https://sindresorhus.com)

## License

MIT © [Yoginth](https://yoginth.ml)
