'use strict';
const _s = require('underscore.string');
const isitScoped = require('isit-scoped');

exports.repoName = name => isitScoped(name) ? name.split('/')[1] : name;
exports.slugifyPackageName = name => isitScoped(name) ? name : _s.slugify(name);
